Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoPointSizeElement Class Reference
[Elements (mostly for internal use)]

The SoPointSizeElement changes the pointsize setting of the render state. More...

`#include <Inventor/elements/SoPointSizeElement.h>`

Inheritance diagram for SoPointSizeElement:

List of all members.

## Public Methods
virtual void | init (SoState *state)
## Static Public Methods
void | initClass (void)
void | set (SoState *const state, SoNode *const node, const float pointSize)
void | set (SoState *const state, const float pointSize)
float | get (SoState *const state)
float | getDefault ()
## Protected Methods
virtual | ~SoPointSizeElement ()

## Detailed Description

The SoPointSizeElement changes the pointsize setting of the render state.

Requests from the scenegraph to change the pointsize when rendering point primitives will be made through this element.

The SoPointSizeElement class itself is just a generic abstraction for the underlying So*PointSizeElement classes with code specific for each supported immediate mode rendering library.

## Constructor & Destructor Documentation

SoPointSizeElement::~SoPointSizeElement | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoPointSizeElement::initClass | ( | void |  | ) | `[static]`

| Initialize relevant common data for all instances, like the type system. Reimplemented from SoFloatElement. Reimplemented in SoGLPointSizeElement.

void SoPointSizeElement::init | ( | SoState * | state | ) | `[virtual]`

| This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects. Reimplemented from SoFloatElement. Reimplemented in SoGLPointSizeElement.

void SoPointSizeElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const float | pointSize
| ) | `[static]`

| Static method for setting the current pointSize value in the given traversal state.

void SoPointSizeElement::set | ( | SoState *const | state,
|  | const float | pointSize
| ) | `[static]`

| Static method for setting the current pointSize value in the given traversal state.

float SoPointSizeElement::get | ( | SoState *const | state | ) | `[static]`

| Static method for returning the current pointsize setting in the given traversal state.

float SoPointSizeElement::getDefault | ( | void |  | ) | `[static]`

| Returns default pointsize setting.

The documentation for this class was generated from the following files:

- SoPointSizeElement.h
- SoPointSizeElement.cpp